// AxisDlg.h : header file
//
//{{AFX_INCLUDES()
#include "NiGraph3D.h"
#include "NiAxis3d.h"	// Added by ClassView
//}}AFX_INCLUDES

#if !defined(AFX_AXISDLG_H__489A58E7_B3C2_11D3_823E_006008CECEB1__INCLUDED_)
#define AFX_AXISDLG_H__489A58E7_B3C2_11D3_823E_006008CECEB1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CAxisDlg dialog

class CAxisDlg : public CDialog
{
// Construction
public:
	CAxisDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAxisDlg)
	enum { IDD = IDD_AXIS_DIALOG };
	CEdit	m_EditMinimum;
	CEdit	m_EditMaximum;
	CEdit	m_EditCaption;
	CComboBox	m_Axis;
	CButton	m_CheckTicksOutside;
	CButton	m_CheckTicksOpposite;
	CButton	m_CheckTicksNormal;
	CButton	m_CheckTicksMinor;
	CButton	m_CheckTicksMajor;
	CButton	m_CheckTicksInside;
	CButton	m_CheckLabelsNormal;
	CButton	m_Log;
	CButton	m_Inverted;
	CButton	m_CheckGridMinor;
	CButton	m_CheckGridMajor;
	CButton	m_CheckCaptionOpposite;
	CButton	m_CheckCaptionNormal;
	CButton	m_CheckAutoScalePlot;
	CButton	m_AutoScale;
	CButton	m_CheckLabelsOpposite;
	CNiGraph3D	m_graph;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAxisDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CNiAxis3D m_Axis3D;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAxisDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonAutoscaleNow();
	afx_msg void OnButtonGeneratePlot();
	afx_msg void OnButtonRemovePlot();
	afx_msg void OnButtonSetMax();
	afx_msg void OnButtonSetMin();
	afx_msg void OnCheckAutoscale();
	afx_msg void OnCheckAutoscalePlot();
	afx_msg void OnCheckCaptionNormal();
	afx_msg void OnCheckCaptionOpposite();
	afx_msg void OnCheckGridMajor();
	afx_msg void OnCheckGridMinor();
	afx_msg void OnCheckInverted();
	afx_msg void OnCheckLabelsNormal();
	afx_msg void OnCheckLabelsOpposite();
	afx_msg void OnCheckLog();
	afx_msg void OnCheckTicksInside();
	afx_msg void OnCheckTicksMajor();
	afx_msg void OnCheckTicksMinor();
	afx_msg void OnCheckTicksNormal();
	afx_msg void OnCheckTicksOpposite();
	afx_msg void OnCheckTicksOutside();
	afx_msg void OnSelchangeComboAxis();
	afx_msg void OnChangeEditCaption();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void RefreshControls();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AXISDLG_H__489A58E7_B3C2_11D3_823E_006008CECEB1__INCLUDED_)
