// ContoursDlg.h : header file
//
//{{AFX_INCLUDES()
#include "NiGraph3D.h"
//}}AFX_INCLUDES

#if !defined(AFX_CONTOURSDLG_H__57C61006_B3BD_11D3_823E_006008CECEB1__INCLUDED_)
#define AFX_CONTOURSDLG_H__57C61006_B3BD_11D3_823E_006008CECEB1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CContoursDlg dialog

class CContoursDlg : public CDialog
{
// Construction
public:
	CContoursDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CContoursDlg)
	enum { IDD = IDD_CONTOURS_DIALOG };
	CButton	m_RadioLevels;
	CEdit	m_EditLevels;
	CEdit	m_EditLabelFormat;
	CEdit	m_EditInterval;
	CEdit	m_EditAnchor;
	CComboBox	m_ComboLineStyle;
	CComboBox	m_ComboLineColor;
	CComboBox	m_ComboLabelColor;
	CButton	m_CheckLabelsVisible;
	CButton	m_CheckAnchorEnabled;
	CNiGraph3D	m_SurfaceGraph;
	CNiGraph3D	m_ContourGraph;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CContoursDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void InitControls();
	void RefreshControls();
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CContoursDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonPlot1();
	afx_msg void OnButtonPlot2();
	afx_msg void OnButtonPlot3();
	afx_msg void OnCheckAnchorEnabled();
	afx_msg void OnCheckLabelsVisible();
	afx_msg void OnSelchangeComboLabelColor();
	afx_msg void OnSelchangeComboLineColor();
	afx_msg void OnSelchangeComboLineStyle();
	afx_msg void OnRadioInterval();
	afx_msg void OnRadioLevels();
	afx_msg void OnChangeEditLevels();
	afx_msg void OnChangeEditAnchor();
	afx_msg void OnChangeEditInterval();
	afx_msg void OnChangeEditLabelFormat();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONTOURSDLG_H__57C61006_B3BD_11D3_823E_006008CECEB1__INCLUDED_)
