// Plot StylesDlg.h : header file
//
//{{AFX_INCLUDES()
#include "NiGraph3D.h"
//}}AFX_INCLUDES

#if !defined(AFX_PLOTSTYLESDLG_H__A7E96435_AFF3_11D3_8237_006008CECEB1__INCLUDED_)
#define AFX_PLOTSTYLESDLG_H__A7E96435_AFF3_11D3_8237_006008CECEB1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPlotStylesDlg dialog

class CPlotStylesDlg : public CDialog
{
// Construction
public:
	CPlotStylesDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPlotStylesDlg)
	enum { IDD = IDD_PLOTSTYLES_DIALOG };
	CButton	m_Point;
	CButton	m_SurfaceNormal;
	CButton	m_SurfaceLine;
	CButton	m_SurfaceContour;
	CButton	m_LinePoint;
	CButton	m_Line;
	CButton	m_Contour;
	CButton	m_Surface;
	CButton	m_HiddenLine;
	CNiGraph3D	m_Graph3D;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPlotStylesDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPlotStylesDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnPlotCurve();
	afx_msg void OnPlotDualSine();
	afx_msg void OnPlotRandom();
	afx_msg void OnPlotTorus();
	afx_msg void OnRadioContour();
	afx_msg void OnRadioHiddenLine();
	afx_msg void OnRadioLine();
	afx_msg void OnRadioLinePoint();
	afx_msg void OnRadioPoint();
	afx_msg void OnRadioSurface();
	afx_msg void OnRadioSurfaceContour();
	afx_msg void OnRadioSurfaceLine();
	afx_msg void OnRadioSurfaceNormal();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void UpdateRadioButtons();
	void ResetAfterCurve();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PLOTSTYLESDLG_H__A7E96435_AFF3_11D3_8237_006008CECEB1__INCLUDED_)
