// Region of InterestDlg.h : header file
//
//{{AFX_INCLUDES()
#include "NiGraph3D.h"
//}}AFX_INCLUDES

#if !defined(AFX_REGIONOFINTERESTDLG_H__AFA43447_B174_11D3_8237_006008CECEB1__INCLUDED_)
#define AFX_REGIONOFINTERESTDLG_H__AFA43447_B174_11D3_8237_006008CECEB1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CRegionofInterestDlg dialog

#define DATASIZE 81

class CRegionofInterestDlg : public CDialog
{
// Construction
public:
	CRegionofInterestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRegionofInterestDlg)
	enum { IDD = IDD_REGIONOFINTEREST_DIALOG };
	CButton	m_RadioSelectROI;
	CButton	m_RadioZPR;
	CNiGraph3D	m_Graph3D1;
	CNiGraph3D	m_Graph3DROI;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRegionofInterestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRegionofInterestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRadioRoi();
	afx_msg void OnRadioZpr();
	afx_msg void OnPlotMouseMoveCwgraph3d(short FAR* Button, short FAR* Shift, VARIANT FAR* XData, VARIANT FAR* YData, VARIANT FAR* ZData, short FAR* PlotIndex, long FAR* PointI, long FAR* PointJ);
	afx_msg void OnPlotMouseDownCwgraph3d(short FAR* Button, short FAR* Shift, VARIANT FAR* XData, VARIANT FAR* YData, VARIANT FAR* ZData, short FAR* PlotIndex, long FAR* PointI, long FAR* PointJ);
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	static void Swap(long & _first, long & _second);
	void GraphSourceData();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REGIONOFINTERESTDLG_H__AFA43447_B174_11D3_8237_006008CECEB1__INCLUDED_)
