// EventsDlg.h : header file
//
//{{AFX_INCLUDES()
#include "NiGraph3D.h"
//}}AFX_INCLUDES

#if !defined(AFX_EVENTSDLG_H__88401376_B7F8_11D3_824D_006008CECEB1__INCLUDED_)
#define AFX_EVENTSDLG_H__88401376_B7F8_11D3_824D_006008CECEB1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CEventsDlg dialog

class CEventsDlg : public CDialog
{
// Construction
public:
	CEventsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CEventsDlg)
	enum { IDD = IDD_EVENTS_DIALOG };
	CStatic	m_ZCenter;
	CStatic	m_YCenter;
	CStatic	m_XCenter;
	CStatic	m_ZFar;
	CStatic	m_ZNear;
	CStatic	m_YNear;
	CStatic	m_YFar;
	CStatic	m_XNear;
	CStatic	m_XFar;
	CStatic	m_PlotAreaShift;
	CStatic	m_PlotAreaMouseState;
	CStatic	m_PlotAreaButton;
	CStatic	m_PlotZPos;
	CStatic	m_PlotYPos;
	CStatic	m_PlotXPos;
	CStatic	m_PlotShift;
	CStatic	m_PlotPointJ;
	CStatic	m_PlotPointI;
	CStatic	m_PlotIndex;
	CStatic	m_PlotMouseState;
	CStatic	m_PlotButton;
	CStatic	m_Longitude;
	CStatic	m_Latitude;
	CStatic	m_Distance;
	CButton	m_RadioZPR;
	CNiGraph3D	m_graph;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEventsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void PlotAreaCommon(CString MouseState, short FAR * Button, short FAR * Shift, VARIANT FAR * XNear, VARIANT FAR * YNear, VARIANT FAR * ZNear, VARIANT FAR * XFar, VARIANT FAR * YFar, VARIANT FAR * ZFar);
	void PlotCommon(CString MouseState, short FAR * Button, short FAR * Shift, VARIANT FAR * XData, VARIANT FAR * YData, VARIANT FAR * ZData, short FAR * PlotIndex, long FAR * PointI, long FAR * PointJ);
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEventsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonPlot();
	afx_msg void OnRadioAll();
	afx_msg void OnRadioPlotArea();
	afx_msg void OnRadioZpr();
	afx_msg void OnPlotMouseDownCwgraph3d(short FAR* Button, short FAR* Shift, VARIANT FAR* XData, VARIANT FAR* YData, VARIANT FAR* ZData, short FAR* PlotIndex, long FAR* PointI, long FAR* PointJ);
	afx_msg void OnPlotMouseMoveCwgraph3d(short FAR* Button, short FAR* Shift, VARIANT FAR* XData, VARIANT FAR* YData, VARIANT FAR* ZData, short FAR* PlotIndex, long FAR* PointI, long FAR* PointJ);
	afx_msg void OnPlotMouseUpCwgraph3d(short FAR* Button, short FAR* Shift, VARIANT FAR* XData, VARIANT FAR* YData, VARIANT FAR* ZData, short FAR* PlotIndex, long FAR* PointI, long FAR* PointJ);
	afx_msg void OnPlotAreaMouseDownCwgraph3d(short FAR* Button, short FAR* Shift, VARIANT FAR* XNear, VARIANT FAR* YNear, VARIANT FAR* ZNear, VARIANT FAR* XFar, VARIANT FAR* YFar, VARIANT FAR* ZFar);
	afx_msg void OnPlotAreaMouseMoveCwgraph3d(short FAR* Button, short FAR* Shift, VARIANT FAR* XNear, VARIANT FAR* YNear, VARIANT FAR* ZNear, VARIANT FAR* XFar, VARIANT FAR* YFar, VARIANT FAR* ZFar);
	afx_msg void OnPlotAreaMouseUpCwgraph3d(short FAR* Button, short FAR* Shift, VARIANT FAR* XNear, VARIANT FAR* YNear, VARIANT FAR* ZNear, VARIANT FAR* XFar, VARIANT FAR* YFar, VARIANT FAR* ZFar);
	afx_msg void OnZoomCwgraph3d(VARIANT FAR* NewDistance);
	afx_msg void OnPanCwgraph3d(VARIANT FAR* NewXCenter, VARIANT FAR* NewYCenter, VARIANT FAR* NewZCenter);
	afx_msg void OnRotateCwgraph3d(VARIANT FAR* NewLatitude, VARIANT FAR* NewLongitude);
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EVENTSDLG_H__88401376_B7F8_11D3_824D_006008CECEB1__INCLUDED_)
